Bug 440014 - (CVE-2008-1561) CVE-2008-1561 wireshark: crash in X.509sat and Roofnet dissectors
CVE-2008-1561 wireshark: crash in X.509sat and Roofnet dissectors
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=vendorsec,impact=low,reported=...
: Security
Depends On: 435485 435487 435488 461566 461567 461568 461569 461570 833989
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 07:55 EDT by Tomas Hoger
Modified: 2012-06-20 10:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 14:04:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-01 07:55:38 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1561 to the following vulnerability:

Multiple unspecified vulnerabilities in Wireshark (formerly Ethereal) 0.99.5 through 0.99.8 allow remote attackers to cause a denial of service (application crash) via a malformed packet to the (1) X.509sat or (2) Roofnet dissectors.  NOTE: Vector 2 might also lead to a hang.

Refences:
http://www.wireshark.org/security/wnpa-sec-2008-02.html
http://www.securityfocus.com/bid/28485
http://www.frsirt.com/english/advisories/2008/1007/references
http://secunia.com/advisories/29569
Comment 1 Fedora Update System 2008-04-09 01:16:00 EDT
wireshark-1.0.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2008-04-09 01:22:45 EDT
wireshark-1.0.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Calvin Webster 2008-06-25 12:44:14 EDT
I don't see comments on RHEL versions here. Latest RHEL 4 version in RHN is
wireshark-0.99.7-1.el4.i386. Does this affect versions shipped with RHEL 4 & 5?

Same question for related bug #440015 and bug #439943
Comment 4 Tomas Hoger 2008-06-25 12:54:57 EDT
Due to a low impact of the flaw, fixing of this issue has been deferred until
there is some more important issue to be addressed in the wireshark packages in
Red Hat Enterprise Linux:

Official statement is available at:
  http://nvd.nist.gov/nvd.cfm?cvename=CVE-2008-1561

Official Statement from Red Hat (4/1/2008)
Red Hat is aware of this issue and is tracking it via the following bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=CVE-2008-1561

The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.
Comment 7 Red Hat Product Security 2008-10-01 14:04:24 EDT
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0890.html

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3040

Note You need to log in before you can comment on or make changes to this bug.